<?php
defined('BASEPATH') OR exit('No direct script access allowed');
date_default_timezone_set("Asia/Jakarta");

class Alternatif extends MY_Controller{
  
  function __construct()
  {
    parent::__construct();
    $this->load->model('login_m'); 
    $this->load->model('Alternatif_m');       
  }

  public function index()
  { 
    // Memeriksa apakah pengguna telah login sebelum melanjutkan eksekusi fungsi
    // memanggil MY_controller di folder core
    $this->check_login();
    
    $email = $this->session->userdata('email');
    $data['profil'] = $this->login_m->get_row(['email' =>$email ]); 
    
    $data['list_alternatif'] = $this->Alternatif_m->get_all_data();   
    $data['title']  = 'Kelola Data Alternatif';
    $data['menu'] = 2;
    
    $this->load->view('admin/template/header',$data);
    $this->load->view('admin/template/sidebar',$data);
    $this->load->view('admin/template/navbar');
    $this->load->view('admin/alternatif/v_alternatif',$data);
    $this->load->view('admin/template/footer');
  }

// fungsi untuk proses tambah , edit dan hapus
  public function prosesalternatif(){
    if ($this->POST('tambah')) {
      $data = [
        'kode_alternatif' => $this->input->post('kode_alternatif'), // Mengambil nilai 'kode_alternatif' dari input POST
        'nama_alternatif' => $this->input->post('nama_alternatif'), // Mengambil nilai 'nama_alternatif' dari input POST
        'keterangan' => $this->input->post('keterangan'), // Mengambil nilai 'keterangan' dari input POST
      ];
      $this->Alternatif_m->insert($data);
      $this->flashmsg('Data Alternatif berhasil ditambah!', 'success');
      redirect('alternatif');
      exit();
    }

    if ($this->POST('edit')) {
      $id = $this->POST('id_alternatif');
      $data = [
        'kode_alternatif' => $this->input->post('kode_alternatif'), // Mengambil nilai 'kode_alternatif' dari input POST
        'nama_alternatif' => $this->input->post('nama_alternatif'), // Mengambil nilai 'nama_alternatif' dari input POST
        'keterangan' => $this->input->post('keterangan'), // Mengambil nilai 'keterangan' dari input POST
      ];

      $this->Alternatif_m->update($id,$data);    
      $this->flashmsg('Data Alternatif berhasil disimpan!', 'success');
      redirect('alternatif');
      exit();
    }

    if ($this->POST('hapus')) {
      $this->Alternatif_m->delete($this->POST('id_balita'));
      $this->flashmsg('Data Balita berhasil dihapus!', 'success');
      redirect('balita');
      exit();

    } 
        
  } 
  
} 
?>